<?php

namespace Artmark\Content\Migrations;

use Illuminate\Database\Migrations\Migration as BasicMigration;
use Illuminate\Database\Schema\Blueprint;

use Artmark\Content\Models\Content;

/**
 * Description of Migration
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
abstract class Migration extends BasicMigration
{
    const MAXIMAL_TITLE_SIZE = 1024;
    
    public function addContentFields(Blueprint $table)
    {
        $table->tinyInteger('status')->default(Content::STATUS_DRAFT);
        $table->string('title', self::MAXIMAL_TITLE_SIZE);
        $table->text('keywords');
        $table->text('description');
        $table->mediumText('body');
    }
}
